uniform mat4 modelViewProjectionMatrix;
uniform float alpha;

attribute vec4 position;
attribute vec2 texture0;

varying vec2 texCoord;
varying float vAlpha;

void main() {
  vAlpha = alpha;
	texCoord = texture0;
	gl_Position = modelViewProjectionMatrix * position;
}